gcc 4.0?

Matthew Burgess matthew at linuxfromscratch.org
Wed Feb 16 10:41:32 PST 2005


Matthew Burgess wrote:
> tom wrote:
> 
>> is it safe to use? or dont compile it?
>  
> It won't even compile glibc yet

Hmm, that makes it sound like that's gcc's fault.  It's actually invalid 
C in the glibc sources that causes compilation to fail.  In fact, the 
current situation is:

a) gcc-4.0 won't compile on a glibc-2.3.4 based host (due to it pulling 
in invalid code from glibc's headers - it's fixed in glibc-cvs though)
b) glibc-2.3.4 won't compile on a gcc-4.0 based host.

Nice, eh? :)

Matt.



More information about the lfs-support mailing list